Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 17 Aug 2017 20:42:06 +0200
From:      Andrea Venturoli <ml@netfence.it>
To:        freebsd-questions@freebsd.org
Subject:   qemu-aarch64-static
Message-ID:  <29906b14-8efa-ba65-985a-fd5b90c76b9b@netfence.it>

Next in thread | Raw E-Mail | Index | Archive | Help
Hello.

Not sure if this is the right mailing list: should I ask on emulation or 
arm?



I'm trying to run aarch64 binaries on a 11.1/amd64 through 
qemu-user-static-2.9.50.g20170721, but this fails.

I can run mips64 binaries though.

> # file date
> date: ELF 64-bit MSB executable, MIPS, MIPS-III version 1 (FreeBSD), statically linked, FreeBSD-style, for FreeBSD 10.0 (1000027), stripped
> # ./date 
> Thu Aug 17 19:51:56 CEST 2017

> # file date
> date: ELF 64-bit LSB executable, ARM aarch64, version 1 (FreeBSD), dynamically linked, interpreter /libexec/ld-elf.so.1, for FreeBSD 11.1, FreeBSD-style, not stripped
> # ./date
> Unable to load interpreter



Is this the expected behaviour?

I read, on https://wiki.freebsd.org/QemuUserModeHowTo, that "Currently 
only "TARGET=mips TARGET_ARCH=mips64 and "TARGET=arm TARGET_ARCH=armv6" 
has enough machine dependent code in place to do everything described 
below", but OTOH it seems people are using poudriere to cross build 
aarch64 ports (which is what I'd like to do).

Is 11.1 too old or in need of a patch?
Should I use a different version of qemu?



TIA.

  bye
	av.



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?29906b14-8efa-ba65-985a-fd5b90c76b9b>